
        FLpanel "ANALOG SYNTH",260,600

FLcolor -1
FLcolor 90,70,245
ihBox1	FLbox	"LFO", 9, 6, 11, 260, 100, 0, 20
FLsetAlign	6, ihBox1	
FLlabel  	11,6, 3, 0,0,0
;=================
FLcolor -1
FLcolor 90,70,245
ihBox2	FLbox	"VCO", 9, 6, 11, 260, 100, 0, 140
FLsetAlign	6, ihBox2	
FLlabel  	11,6, 3, 0,0,0
;=================
FLcolor -1
FLcolor 90,70,245
ihBox3	FLbox	"NOISE", 9, 6, 11, 260, 100, 0, 260
FLsetAlign	6, ihBox3	
FLlabel  	11,6, 3, 0,0,0
;=================
FLcolor -1
FLcolor 90,70,245
ihBox4	FLbox	"VCF", 9, 6, 11, 260, 100, 0, 380
FLsetAlign	6, ihBox4	
FLlabel  	11,6, 3, 0,0,0
;=================
FLcolor -1
FLcolor 90,70,245
ihBox5	FLbox	"VCA", 9, 6, 11, 260, 100, 0, 500
FLsetAlign	6, ihBox5	
FLlabel  	11,6, 3, 0,0,0
;=================
;=================
; LFO--------------

FLlabel 12, 1, 1, 128, 255, 255
gk1,ih1  FLknob  "Amp", 0.001, 100, 0, 1, -1,70, 10, 35

    ired1 = 128
    igreen1 = 255
    iblue1 = 255
    FLsetColor ired1, igreen1, iblue1, ih1

FLlabel 12, 1, 1, 255, 0, 0
gk2,ih2  FLknob  "Freq", 0.001, 50, -1, 1, -1,70, 90, 35

    ired1 = 255
    igreen1 =0
    iblue1 = 0
    FLsetColor ired1, igreen1, iblue1, ih2

; VCO----------------

FLlabel 12, 1, 1, 128, 255, 255
gk3,ih3  FLknob  "Amp", 0.001, 32767, -1, 1, -1,70, 10, 155

    ired1 = 128
    igreen1 = 255
    iblue1 = 255
    FLsetColor ired1, igreen1, iblue1, ih3

FLlabel 12, 1, 1, 255, 0, 0
gk4,ih4  FLknob  "Freq", 20, 10000, -1, 1, -1,70, 90, 155

    ired1 = 255
    igreen1 =0
    iblue1 = 0
    FLsetColor ired1, igreen1, iblue1, ih4

FLlabel 12, 1, 1, 0, 255, 0
gk5,ih5  FLknob  "PulseWidth", 0.0001, 1, -1, 1, -1,70, 170,155

    ired1 = 0
    igreen1 =255
    iblue1 = 0
    FLsetColor ired1, igreen1, iblue1, ih5

;NOISE-----------------

FLlabel 12, 1, 1, 128, 255, 255
gk6,ih6  FLknob  "Amp", 0.001, 10000, -1, 1, -1,70, 10, 270

    ired1 = 128
    igreen1 = 255
    iblue1 = 255
    FLsetColor ired1, igreen1, iblue1, ih6

;VCF Moogvcf-----------

FLlabel 12, 1, 1, 255, 255, 0
gk9,ih9  FLknob  "Resonance", 0.0001, 1, -1, 1, -1,70, 10, 390

    ired1 = 255
    igreen1 =255
    iblue1 = 0
    FLsetColor ired1, igreen1, iblue1, ih9

;VCA w/envelope----------------

FLlabel 12, 1, 1, 128, 255, 255
gk10,ih10  FLknob  "Amp", 0.001, 10000, -1, 1, -1,70, 10, 510

    ired1 = 128
    igreen1 = 255
    iblue1 = 255
    FLsetColor ired1, igreen1, iblue1, ih10

FLlabel 12, 1, 1, 255, 128, 0
gk11,ih11  FLknob  "Envelope", 2, 5, -1, 1, -1,70, 90,510

    ired1 = 255
    igreen1 =128
    iblue1 = 0
    FLsetColor ired1, igreen1, iblue1, ih11

FLlabel 12, 1, 1, 0, 255, 0
gk12,ih12  FLknob  "Speed", 1, 60, -1, 1, -1,70, 170,510

    ired1 = 0
    igreen1 =255
    iblue1 = 0
    FLsetColor ired1, igreen1, iblue1, ih12

        FLpanelEnd

	FLsetVal_i	50, ih1 ;lfo amp
	FLsetVal_i	3, ih2 ;lfo freq
	FLsetVal_i	1000, ih3 ;vco amp
	FLsetVal_i	200, ih4 ;vco freq
	FLsetVal_i	0.5, ih5 ;vco pulse width
	FLsetVal_i	200, ih6 ;noise amp
	FLsetVal_i	.2, ih9 ;vcf resonance
	FLsetVal_i	10, ih10 ;vca amp
	FLsetVal_i	2, ih11 ;vca env
	FLsetVal_i	10, ih12 ;vca speed

        FLrun