<CsoundSynthesizer>
<CsOptions>

csound -s -d -odevaudio -b4096 -B4096 

</CsOptions>
<CsInstruments>

; Initialize the global variables.
sr = 44100
kr = 44100
ksmps = 1
nchnls = 2

#include "Example5_FLTK.inc"

zakinit 3, 5

;-------------
;-------------
instr 1 

kascii   FLkeyIn
ktrig changed kascii
if (kascii > 0) then
  ;printf "Key Down: %i\n", ktrig, kascii
  FLsetVal ktrig, cpsmidinn(kascii), gih2
endif
if (kascii < 0) then
  ;printf "Key Up: %i\n", ktrig, -kascii
endif

;if portamento unchecked use freq dial without glide
if (gkbut1==0) then
	a1 vco2 gk1, gk2, 2, gk3, 0, .5
	zawm a1, 1, 1 ;write vco to zak space
	endif
;if portamento checked use glide
if (gkbut1==1) then 
 		kval portk gk2, gk4
		a1 vco2 gk1, kval, 2, gk3, 0, .5
		zawm a1, 1, 1 ;write vco to zak space	
	endif

endin

;-------------
;-------------
instr 2
;AUDIO outs

asig zarg 1, 1 ;read a-rate from zak space w/no extra gain
outs asig , asig 

zacl 0, 1 ;clear a-rate variables or they will increase and clip

endin

</CsInstruments>
<CsScore>

i1 0 160
i2 0 160
e

</CsScore>
</CsoundSynthesizer>
